package Web::AssetLib::Output::Link;

use Moo;
use Types::Standard qw/Str/;

extends 'Web::AssetLib::Output';

has 'src' => (
    is       => 'rw',
    isa      => Str,
    required => 1
);

1;

=pod
 
=encoding UTF-8
 
=head1 NAME

Web::AssetLib::Output::Link - output generated by L<Web::AssetLib::OutputEngine::LocalFile>

=head1 SEE ALSO

L<Web::AssetLib::OutputEngine::LocalFile>
L<Web::AssetLib::Output::Content>

=head1 AUTHOR
 
Ryan Lang <rlang@cpan.org>

=cut
